Bug 175899 - Review Request: perl-DBD-CSV - DBI driver for CSV files
Review Request: perl-DBD-CSV - DBI driver for CSV files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/DBD-CSV/
:
Depends On: perl-Text-CSV_XS
Blocks: FE-ACCEPT 176137
  Show dependency treegraph
 
Reported: 2005-12-15 19:26 EST by Jose Pedro Oliveira
Modified: 2008-12-17 19:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-31 09:19:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2005-12-15 19:26:06 EST
Spec Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-DBD-CSV.spec

SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-DBD-CSV-0.22-1.src.rpm

Description:
The DBD::CSV module is yet another driver for the DBI (Database
independent interface for Perl). This one is based on the SQL
"engine" SQL::Statement and the abstract DBI driver DBD::File
and implements access to so-called CSV files (Comma separated
values). Such files are mostly used for exporting MS Access and
MS Excel data.

Note: This is a perl-Log-Log4perl BR
Comment 1 Jose Pedro Oliveira 2005-12-19 12:41:46 EST
SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-DBD-CSV-0.22-2.src.rpm

Changelog:
Added missing build requirement perl(DBD::CSV) >= 0.30.
This perl module is shipped
   i) standalone
  ii) and inside the DBI tarball (since  DBI >= 1.42)
Comment 2 Paul Howarth 2006-01-30 10:11:41 EST
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec
- spec file written in English and is legible
- sources match upstream
- package builds OK on FC4 (i386) and in mock for rawhide (i386)
- BR's OK
- no locales, libraries, pkgconfigs or subpackages to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop entry needed
- no scriptlets

Approved.
Comment 3 Jose Pedro Oliveira 2006-01-31 09:19:44 EST
Already built for devel.
Pending: FC-4 CSV branch creation.
Comment 4 Steven Pritchard 2008-12-16 15:22:48 EST
Package Change Request
======================
Package Name: perl-DBD-CSV
New Branches: EL-4 EL-5
Owners: steve
Comment 5 Kevin Fenzi 2008-12-17 19:34:16 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.